Analytics / REST API
Get campaign analytics
Get detailed analytics for a campaign including connection rates, reply rates, and message performance.
GET /api/analytics/campaignDeterministic operationParameters
workspaceIdOptional · string- Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
campaignIdRequired · string- See the input schema for this field.
startOptional · string- See the input schema for this field.
endOptional · string- See the input schema for this field.
curl -X GET "https://app.pipeline.help/api/analytics/campaign?campaign_id=00000000-0000-4000-8000-000000000000" \
-H "Authorization: Bearer $PIPELINE_API_KEY"Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string",
"minLength": 1,
"description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
},
"campaignId": {
"type": "string"
},
"start": {
"type": "string"
},
"end": {
"type": "string"
}
},
"required": [
"campaignId"
]
}